- Aldebaran documentation |
- C++ Libraries |
- index

servicemanager 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Pages
Public Member Functions | Public Attributes | List of all members
qi::ServiceProcessInfo Struct Reference

`#include <servicemanager_structs.h>`

## Public Member Functions
| ServiceProcessInfo ()
| ServiceProcessInfo (const qi::PackageService &pkgService, bool _running=false)
| ServiceProcessInfo (const qi::PackageService &pkgService, std::string packageUuid, bool _running=false)

## Public Attributes
bool | running
std::string | name
std::string | execStart
bool | autorun
std::string | packageUuid

## Detailed Description

Definition at line 23 of file servicemanager_structs.h.

## Constructor & Destructor Documentation

qi::ServiceProcessInfo::ServiceProcessInfo | ( |  | ) |
| inline

Definition at line 26 of file servicemanager_structs.h.

qi::ServiceProcessInfo::ServiceProcessInfo | ( | const qi::PackageService & | pkgService,
|  | bool | _running = `false`
| ) |  |
| inline

Definition at line 30 of file servicemanager_structs.h.

qi::ServiceProcessInfo::ServiceProcessInfo | ( | const qi::PackageService & | pkgService,
|  | std::string | packageUuid,
|  | bool | _running = `false`
| ) |  |
| inline

Definition at line 35 of file servicemanager_structs.h.

## Member Data Documentation

bool qi::ServiceProcessInfo::autorun

Definition at line 50 of file servicemanager_structs.h.

std::string qi::ServiceProcessInfo::execStart

Definition at line 49 of file servicemanager_structs.h.

std::string qi::ServiceProcessInfo::name

Definition at line 48 of file servicemanager_structs.h.

std::string qi::ServiceProcessInfo::packageUuid

Definition at line 51 of file servicemanager_structs.h.

bool qi::ServiceProcessInfo::running

Definition at line 47 of file servicemanager_structs.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/core/servicemanager/servicemanager/servicemanager_structs.h